﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CalcHelper
{
    public partial class MessageForm : Form
    {
        public enum msgIcon { warning, error, information };

        public MessageForm(msgIcon icon, string msg)
        {
            InitializeComponent();

            switch (icon)
            {
                case (msgIcon.warning):

                    this.Text = "Warning!";
                    mainMsgPic.Image = CalcHelper.Properties.Resources.exclamation;

                    break;

                case (msgIcon.error):

                    this.Text = "Error!";
                    mainMsgPic.Image = CalcHelper.Properties.Resources.crossCircle;

                    break;

                case (msgIcon.information):

                    this.Text = "Information:";
                    mainMsgPic.Image = CalcHelper.Properties.Resources.information;

                    break;
            }

            mainMsgText.Lines = msg.Split(new[] { "\n", "\r\n" }, StringSplitOptions.None);
        }

        private void MainMsg_Load(object sender, EventArgs e)
        {
            /*
             * If I don't do this, this message form and it's parent form both end up on the
             * taskbar (bottom of the screen where the icons are). The parent form was up clearly
             * visible on one of the monitors before I tried displaying a message from ctClient
             * - first tried MessageBox.Show() from ctClient but the message box got buried behind
             * other 'things' on the screen, then tried using this MessageForm from Form1.cs, in
             * the ctClient event handler but also got hidden behind other windows...tried every
             * which-way-of-Sunday to keep it all 'up' in your face but this was the only thing I
             * could find that 'worked'. Le Sigh.
             */
            this.Activate();

            if (Owner != null)
            {
                // Center warning message window in Parent form.
                Location = new Point(Owner.Location.X + Owner.Width / 2 - Width / 2,
                    Owner.Location.Y + Owner.Height / 2 - Height / 2);
            }
        }

        private void mainMsgBtn_Click(object sender, EventArgs e)
        {
            mainMsgBtn.DialogResult = System.Windows.Forms.DialogResult.OK;
            this.Close();
        }
    }
}
